import request from '@/utils/request'

// 查询课程订单信息列表
export function listUserCourseOrder(query) {
  return request({
    url: '/course/userCourseOrder/list',
    method: 'get',
    params: query
  })
}

// 查询课程订单信息详细
export function getUserCourseOrder(orderId) {
  return request({
    url: '/course/userCourseOrder/' + orderId,
    method: 'get'
  })
}

// 新增课程订单信息
export function addUserCourseOrder(data) {
  return request({
    url: '/course/userCourseOrder',
    method: 'post',
    data: data
  })
}

// 修改课程订单信息
export function updateUserCourseOrder(data) {
  return request({
    url: '/course/userCourseOrder',
    method: 'put',
    data: data
  })
}

// 删除课程订单信息
export function delUserCourseOrder(orderId) {
  return request({
    url: '/course/userCourseOrder/' + orderId,
    method: 'delete'
  })
}

// 导出课程订单信息
export function exportUserCourseOrder(query) {
  return request({
    url: '/course/userCourseOrder/export',
    method: 'get',
    params: query
  })
}